<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

if (LabConfig::$mcfg['use_comments'])
{
	if (substr($_GET['action'], 0, 8)=='comment_')
	{
		if (is_callable('CommentTools::'.$_GET['action'])) call_user_func('CommentTools::'.$_GET['action']);
		return;
	}
}

$_GET['var1']=isset($_GET['var1'])?$_GET['var1']:null;

if (isset(LabCMS::i()->params['onlylist']) && (!$_GET['action'] && !$_GET['var1'])) $_GET['action']='list';

if ($_GET['action']=="add" && access('add'))
{
	$mode="add";
	include dirname(__FILE__)."/edit.php";
	addBreadcrumb("добавление страницы", LabCMS::i()->url(false, 'add'));
}
elseif($_GET['action']=="edit" && access('admin')) //админу разрешено полное редактирование
{
	$mode="edit";
	include dirname(__FILE__)."/edit.php";
	addBreadcrumb("редактирование страницы",LabCMS::i()->url($page_info['page_id'], 'edit'));
}
elseif($_GET['action']=="edit" && access('edit')) //редкатору разрешено только редактирование текстовых полей
{
	$mode="edit";
	include dirname(__FILE__)."/edit_limited.php";
	addBreadcrumb("редактирование страницы", LabCMS::i()->url($page_info['page_id'], 'edit'));
}
elseif($_GET['action']=="delete" && access('delete'))
{
	$mode="delete";
	include dirname(__FILE__)."/edit.php";
}
elseif($_GET['action']=='list' && access('edit'))
{
	include dirname(__FILE__)."/list.php";
	addBreadcrumb("все страницы сайта", LabCMS::i()->url(false, 'list'));
}
else
{
	include dirname(__FILE__)."/show.php";
}
